当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 1 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : BFS+2.6.31,dell wireless 1395 wlan mini-card(BCM4312)无法驱动
帖子发表于 : 2009-10-11 17:26 

注册: 2008-06-21 18:18
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
想体验飞的感觉,没想到总是瘸着一条腿,无线网卡始终驱动不起来,我的笔记本是dell vostro 1400
在系统中执行lspci |grep Network命令显示的结果为:
0c:00.0 Network controller: Broadcom Corporation BCM4312 802.11b/g (rev 01)
几天来我尝试了各种方法:
1、在内核编译的时候,我把BCM43XX的相关选项全都选了,没用
2、git clone http://git.bu3sch.de/git/b43-tools.git
cd b43-tools/fwcutter
make
cd ..
export FIRMWARE_INSTALL_DIR="/lib/firmware"
wget http://downloads.openwrt.org/sources/br ... .4.tar.bz2
tar xjf broadcom-wl-4.178.10.4.tar.bz2
cd broadcom-wl-4.178.10.4/linux
sudo ../../fwcutter/b43-fwcutter -w "$FIRMWARE_INSTALL_DIR" wl_apsta.o
没有抛错,无线网卡灯还是没有反应,驱动还是没装上,具体方法参见http://linuxwireless.org/en/users/Drivers/b43#fw-b43-lp
3、make -C /lib/modules/`uname -r`/build M=`pwd` clean
make -C /lib/modules/`uname -r`/build M=`pwd`
cp -rf wl.ko /lib/modules/`uname -r`/kernel/drivers/net/wireless/
depmod
modprobe wl
没有抛错,无线网卡依然毫无反应,具体方法参见http://www.linuxhobby.com/2009/07/broadcom-43xx-drivers/
4、使用ndiswrapper驱动无线网卡,经过一番折腾发现,ndiswrapper必须在我的内核下编译才能使用,于是在2.6.31下编译了两个版本,最新版本的1。55在编译时有问题,于是编译了1。54版本,根据网上的介绍(http://www.ubuntuchina.com/viewthread.php?tid=6903),更改了BUG后编译成功。然后用http://forum.ubuntu.com.cn/viewtopic.php?f=116&t=126894&start=0中的方法进行了数次安装,安装过程比那个帖子中的楼主还要顺利,但是网卡依然没有任何反应
现在我执行lsmod | grep wl,没有任何的显示,
执行 iwlist scanning的结果如下:
$ sudo iwlist scanning
lo Interface doesn't support scanning.

eth0 Interface doesn't support scanning.

pan0 Interface doesn't support scanning.

请高手支招救命,多谢多谢,万分感谢!!!!!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 1 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Yahoo [Bot] 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译